diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index 8124a2f19..c7b87075b 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -763,7 +763,7 @@ define([
                 }),
 
                 beforeNext: function(obj) {
-                  var self = this;
+                  var ctx = this;
                   obj.options.disable_next = true;
 
                   /**
@@ -777,10 +777,10 @@ define([
                   }
 
                   // Clean the view
-                  if (self.view) {
-                    self.view.cleanup();
-                    delete self.view;
-                    self.view = null;
+                  if (ctx.view) {
+                    ctx.view.cleanup();
+                    delete ctx.view;
+                    ctx.view = null;
                   }
                   return true;
                 },
@@ -1019,24 +1019,24 @@ define([
                     // This method fetches the modified SQL for the wizard
                     onWizardNextPageChange: function() {
 
-                      var self = this;
+                      var ctx = this;
 
                       // Fetches modified SQL
                       $.ajax({
                         url: this.msql_url,
                         type: 'POST',
                         cache: false,
-                        data: JSON.stringify(self.model.toJSON(true)),
+                        data: JSON.stringify(ctx.model.toJSON(true)),
                         dataType: 'json',
                         contentType: 'application/json',
                       }).done(function(res) {
-                        self.sqlCtrl.clearHistory();
-                        self.sqlCtrl.setValue(res.data);
-                        self.sqlCtrl.refresh();
+                        ctx.sqlCtrl.clearHistory();
+                        ctx.sqlCtrl.setValue(res.data);
+                        ctx.sqlCtrl.refresh();
                       }).fail(function() {
-                        self.model.trigger('pgadmin-view:msql:error');
+                        ctx.model.trigger('pgadmin-view:msql:error');
                       }).always(function() {
-                        self.model.trigger('pgadmin-view:msql:fetched');
+                        ctx.model.trigger('pgadmin-view:msql:fetched');
                       });
                     },
 
@@ -1144,12 +1144,12 @@ define([
                 // Callback for finish button
                 onFinish: function() {
                   var m = newModel,
-                    d = m.toJSON('GET');
+                    grant_data = m.toJSON('GET');
 
                   // Save model
-                  if (d && !_.isEmpty(d) && !_.isUndefined(d.objects)) {
+                  if (grant_data && !_.isEmpty(grant_data) && !_.isUndefined(grant_data.objects)) {
                     m.save({}, {
-                      attrs: d,
+                      attrs: grant_data,
                       validate: false,
                       cache: false,
                       success: function() {
diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index 3c4ce652e..17e9836cf 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -478,10 +478,10 @@ define([
         Alertify.dialog('ImportDialog', function factory() {
 
           return {
-            main: function(title, node, item, data) {
+            main: function(title, pg_node, pg_item, data) {
               this.set('title', title);
-              this.setting('pg_node', node);
-              this.setting('pg_item', item);
+              this.setting('pg_node', pg_node);
+              this.setting('pg_item', pg_item);
               this.setting('pg_item_data', data);
             },
 
@@ -523,19 +523,19 @@ define([
 
                 var n = this.settings['pg_node'],
                   i = this.settings['pg_item'],
-                  treeInfo = n.getTreeNodeHierarchy.apply(n, [i]);
+                  treeData = n.getTreeNodeHierarchy.apply(n, [i]);
 
                 this.view.model.set({
-                  'database': treeInfo.database._label,
-                  'schema': treeInfo.schema._label,
-                  'table': treeInfo.table._label,
+                  'database': treeData.database._label,
+                  'schema': treeData.schema._label,
+                  'table': treeData.table._label,
                 });
                 var self = this;
 
                 $.ajax({
                   url: url_for(
                     'import_export.create_job', {
-                      'sid': treeInfo.server._id,
+                      'sid': treeData.server._id,
                     }
                   ),
                   method: 'POST',
@@ -561,8 +561,8 @@ define([
                         gettext('Import/Export job failed.'),
                         err.errormsg
                       );
-                    } catch (e) {
-                      console.warn(e.stack || e);
+                    } catch (error) {
+                      console.warn(error.stack || error);
                     }
                   });
               }
@@ -605,13 +605,13 @@ define([
 
               var $container = $('<div class=\'import_dlg\'></div>'),
                 n = this.settings.pg_node,
-                i = this.settings.pg_item,
-                treeInfo = n.getTreeNodeHierarchy.apply(n, [i]),
+                itemArr = this.settings.pg_item,
+                treeData = n.getTreeNodeHierarchy.apply(n, [itemArr]),
                 newModel = new ImportExportModel({}, {
-                  node_info: treeInfo,
+                  node_info: treeData,
                 }),
                 fields = Backform.generateViewSchema(
-                  treeInfo, newModel, 'create', node, treeInfo.server, true
+                  treeData, newModel, 'create', node, treeData.server, true
                 ),
                 view = this.view = new Backform.Dialog({
                   el: $container,
